Version 3.12.2
~~~~~~~~~~~~~~
Released: 2014-05-12

* Translations
 - Updated Catalan (Valencian) translation (Carles Ferrando)
 - Updated Dutch translation (Erwin Poeze)
 - Updated Indonesian translation (Dirgita)

Version 3.12.1
~~~~~~~~~~~~~~
Released: 2014-04-11

* Translations
 - Updated Japanese translation (Ikuya Awashiro, Jiro Matsuzawa)

* Bugfix:
 - Actually show the gcm-viewer preview when changing profiles (Richard Hughes)
 - Fix several critical warnings when using gcm-viewer (Richard Hughes)
 - Speed up deleting profiles by an order of magnitude (Richard Hughes)

Version 3.12.0
~~~~~~~~~~~~~~
Released: 2014-03-24

* Translations
 - Updated Basque translation (Inaki Larranaga Murgoitio)
 - Updated Catalan translation (Pau Iranzo)
 - Updated Czech translation (Milan Knížek)
 - Updated Danish translation (Kenneth Nielsen)
 - Updated Finnish translation (Jiri Grönroos)
 - Updated French translation (Claude Paroz)
 - Updated Hungarian translation (Gábor Kelemen)
 - Updated Indonesian translation (Andika Triwidada)
 - Updated Korean translation (Changwoo Ryu)
 - Updated Latvian translation (Rūdolfs Mazurs)
 - Updated Norwegian bokmål translation (Kjartan Maraas)
 - Updated Polish translation (Piotr Drąg)
 - Updated Portuguese translation (Tiagosdot)
 - Updated Punjabi translation (A S Alam)
 - Updated Russian translation (Yuri Myasoedov)
 - Updated Serbian translation (Мирослав Николић)
 - Updated slovak translation (Dušan Kazik)
 - Updated Slovenian translation (Matej Urbančič)
 - Updated Traditional Chinese translation (Cheng-Chia Tseng)

Version 3.11.90
~~~~~~~~~~~~~~~
Released: 2014-02-17

* Translations
* New Features:
* Bugfix:
 - Updated Korean translation (Shankar Prasad)
 - Updated Ukrainian translation (Daniel Korostil)
 - Roughly shape test window to instrument (Pascal de Bruijn)

Version 3.11.5
~~~~~~~~~~~~~~
Released: 2014-02-03

* Translations
 - Update Chinese simplified translation (Tong Hui)
 - Updated Assamese translation (Nilamdyuti Goswami)
 - Updated Brazilian Portuguese translation (Enrico Nicoletto)
 - Updated Galician translation (Fran Diéguez)
 - Updated German translation (Benjamin Steinwender)
 - Updated Greek translation (Dimitris Spingos)
 - Updated Hebrew translation (Yosef Or Boczko)
 - Updated Italian translation (Milo Casagrande)
 - Updated Lithuanian translation (Aurimas Černius)
 - Updated Norwegian bokmål translation (Kjartan Maraas)
 - Updated Spanish translation (Daniel Mustieles)
 - Updated Tajik translation (Victor Ibragimov)
 - Updated Traditional Chinese translation (Cheng-Chia Tseng)

* Bugfix:
 - Fix a potential crash if dispcal started giving unexpected data (Richard Hughes)
 - Prevent a crash in gcm-viewer when the ICC profile cannot be loaded (Richard Hughes)

Version 3.11.3
~~~~~~~~~~~~~~
Released: 2013-12-17

* Translations
 - Updated Catalan (Valencian) translation (Carles Ferrando)
 - Updated Dutch translation (Wouter Bolsterlee)
 - Updated Galician translation (Fran Diéguez)
 - Updated Greek translation (Dimitris Spingos)
 - Updated Greek translation (Efstathios Iosifidis)
 - Updated Italian translation (Milo Casagrande)
 - Updated Persian translation (Arash Mousavi)
 - Updated Russian translation (Julia Dronova)
 - Updated Slovenian translation (Matej Urbančič)
 - Updated Spanish translation (Daniel Mustieles)
 - Updated Tajik translation (Victor Ibragimov)
 - Updated Tamil translation (Shantha kumar)
 - Updated Traditional Chinese translation (Cheng-Chia Tseng)

* New Features:
 - Translate the AppData file (Richard Hughes)
 - Add some new 16:9 screenshots (Richard Hughes)

* Bugfix:
 - ColorChecker is one word (Ekaterina Gerasimova)
 - Correct the approximate timings in the calibration dialog (Pascal de Bruijn)
 - Default to quick calibration, should be more than enough (Pascal de Bruijn)
 - Don't depend on software we are not using (Richard Hughes)
 - Fix grammar in the AppData description (Piotr Drąg)
 - Generate display profiles with a perceptual rendering intent (Pascal de Bruijn)
 - Laptops can have different display types too (Pascal de Bruijn)
 - Make gcm-picker look like a GNOME 3 application (Richard Hughes)
 - Make it work with dispcal using stderr (Patryk Zawadzki)
 - Remove the 3D hull functionality (Richard Hughes)
 - Support more display types (Pascal de Bruijn)

Version 3.10.0
~~~~~~~~~~~~~~
Released: 2013-09-24

* Translations
 - Add Kazakh translation (Baurzhan Muftakhidinov)
 - Fix broken tags in Chinese Simplified help translation (Piotr Drąg)
 - Updated Basque language (Inaki Larranaga Murgoitio)
 - Updated Danish translation (Kenneth Nielsen)
 - Updated Japanese translation (victory)
 - Updated Korean translation (Changwoo Ryu)
 - Updated Portuguese translation (António Lima)
 - Updated Punjabi translation (A S Alam)
 - Updated Slovak translation (Dušan Kazik)
 - Updated Ukrainian translation (Daniel Korostil)

Version 3.9.92
~~~~~~~~~~~~~~
Released: 2013-09-13

* translations
 - Added Dutch translation (Cumulus007, Reinout van Schouwen)
 - Updated Assamese translation (Nilamdyuti Goswami)
 - Updated Brazilian Portuguese translation (Enrico Nicoletto)
 - Updated Brazilian Portuguese translation (Rafael Ferreira)
 - Updated British English translation (Bruce Cowan)
 - Updated Catalan translation (Gil Forcada)
 - Updated Chinese simplified translation (甘露(Gan Lu))
 - Updated Czech translation (Marek Černocký)
 - Updated Estonian translation (Mattias Põldaru)
 - Updated Finnish translation (Jiri Grönroos)
 - Updated French translation (Alexandre Franke)
 - Updated Galician translations (Fran Diéguez)
 - Updated German translation (Benjamin Steinwender)
 - Updated Greek translation (Dimitris Spingos)
 - Updated Hebrew translation (Yaron Shahrabani)
 - Updated Hungarian translation (Balázs Úr)
 - Updated Indonesian translation (Andika Triwidada)
 - Updated Italian translation (Milo Casagrande)
 - Updated Latvian translation (Rūdolfs Mazurs)
 - Updated Lithuanian translation (Aurimas Černius)
 - Updated Malayalam translation (Anish A)
 - Updated Norwegian bokmål translation (Kjartan Maraas)
 - Updated Polish translation (Piotr Drąg)
 - Updated Russian translation (Stas Solovey)
 - Updated Russian translation (Yuri Myasoedov)
 - Updated Serbian translation (Мирослав Николић)
 - Updated slovak translation (Dušan Kazik)
 - Updated Slovenian translation (Matej Urbančič)
 - Updated Spanish translation (Daniel Mustieles)
 - Updated Tajik translation (Victor Ibragimov)
 - Updated Traditional Chinese translation (Chao-Hsiung Liao, Cheng-Chia Tseng)

* New Features:
 - Add an AppData description for gcm-viewer (Richard Hughes)
 - Use the new cd_icc_get_response() provided in colord 0.1.34 (Richard Hughes)
 - Use the new cd_icc_get_vcgt() in colord 0.1.34 (Richard Hughes)

* Bugfix:
 - Disable GCM_DATA path prefixing for colord provided image paths (Pascal de Bruijn)
 - Do not use a predictable name when saving the PLY temp file (Richard Hughes)
 - Do not use g_spawn_command_line_sync() when spawning executables (Richard Hughes)
 - gcm_calibrate_is_livecd() should be linux-only (Antoine Jacoutot)
 - GtkStock is deprecated (Richard Hughes)
 - Kelvin is not a graded scale (Richard Hughes)
 - Make wrapping sensible when showing details about profiles (Richard Hughes)
 - Tweak a few of the descriptions to reflect reality (Richard Hughes)
 - Use CdIcc to load and save ICC profiles (Richard Hughes)
 - Use g_ascii_dtostr() to avoid writing locale-specific floats in PLY files (Richard Hughes)
 - We need at least clutter 1.12 to properly build with mash (Pascal de Bruijn)

Version 3.8.0
~~~~~~~~~~~~~
Released: 2013-03-26

* Translations
 - Added Tadjik translation (Victor Ibragimov)
 - Updated Basque language (Inaki Larranaga Murgoitio)
 - Updated Finnish translation (Jiri Grönroos)
 - Updated French translation (Alexandre Franke)
 - Updated Hindi translation (Rajesh Ranjan)
 - Updated Hungarian translation (Gabor Kelemen)
 - Updated Indonesian translation (Andika Triwidada)
 - Updated Malayalam Translation (Ani Peter)
 - Updated Marathi Translations (Sandeep Sheshrao Shedmake)
 - Updated Odia Language (ManojKumar Giri)
 - Updated Persian Translation (Arash Mousavi)
 - Updated Tamil translation (Dr.T.Vasudevan)
 - Updated Telugu Translations (Krishnababu Krothapalli)

Version 3.7.92
~~~~~~~~~~~~~~
Released: 2013-03-18

* Translations
 - Added Czech translation (Marek Černocký)
 - Added Turkish translation (Volkan Yalçın)
 - Updated Assamese translation (Nilamdyuti Goswami)
 - Updated Brazilian Portuguese translation (Enrico Nicoletto, Rafael Ferreira)
 - Updated Catalan translation (Gil Forcada)
 - Updated Catalan (Valencian) translation (Carles Ferrando)
 - Updated Czech translation (Milan Knížek)
 - Updated Danish translation (Ask H. Larsen)
 - Updated Estonian translation (Mattias Põldaru)
 - Updated Galician translation (Fran Diéguez)
 - Updated German translation (Mario Blättermann)
 - Updated Greek translation (Dimitris Spingos)
 - Updated Gujarati translation (Sweta Kothari)
 - Updated Italian translation (Milo Casagrande)
 - Updated Korean translation (Shankar Prasad, Changwoo Ryu)
 - Updated Latvian translation (Rūdolfs Mazurs)
 - Updated Lithuanian translation (Aurimas Černius)
 - Updated Malayalam translation (Anish A)
 - Updated Norwegian bokmål translation (Kjartan Maraas)
 - Updated Polish translation (Piotr Drąg)
 - Updated Portuguese translation (António Lima)
 - Updated Punjabi translation (A S Alam)
 - Updated Serbian translation (Мирослав Николић)
 - Updated Slovenian translation (Matej Urbančič)
 - Updated Spanish translation (Daniel Mustieles)
 - Updated Uyghur translation (Gheyret Kenji)
 - Updated Simplified Chinese translation (Michael Lin)

* New Features:
 - Add some translations for the GAMUT metadata tags (Richard Hughes)
 - Inhibit the screensaver and user switching when calibrating (Richard Hughes)

* Bugfix:
 - Do not use gtk_image_set_from_file() as we want to see the error if it fails (Richard Hughes)
 - Ignore the OPENICC_automatic_generated metadata key (Richard Hughes)
 - Set the transient and modal values before showing the window (Richard Hughes)
 - Show the entire filename with path in gcm-viewer (Richard Hughes)
 - Switch the profile viewer to be a dialog window (Richard Hughes)

Version 3.7.5
~~~~~~~~~~~~~
Released: 2012-02-05

* Translations
 - Added Bengali India Translation (Sayak Sarkar)
 - Added Slovak translation (Roman Mátyus)
 - Updated Assamese translation (Nilamdyuti Goswami)
 - Updated Brazilian Portuguese Translation (Rafael Ferreira)
 - Updated Bulgarian translation (Alexander Shopov)
 - Updated Bulgarian translation (Ivaylo Valkov)
 - Updated Catalan translation (Gil Forcada)
 - Updated Catalan (Valencian) translation (Carles Ferrando)
 - Updated Estonian translation (Mattias Põldaru)
 - Updated Galician translations (Fran Diéguez)
 - Updated Greek translation (Dimitris Spingos)
 - Updated Hebrew translation (Yaron Shahrabani)
 - Updated Italian translation. (Milo Casagrande)
 - Updated Kannada Translations (Shankar Prasad)
 - Updated Latvian translation (Rūdolfs Mazurs)
 - Updated Lithuanian translation (Aurimas Černius)
 - Updated Norwegian bokmål translation (Kjartan Maraas)
 - Updated Odia Translation with FUEL implementation (ManojKumar Giri)
 - Updated Polish translation (Piotr Drąg)
 - Updated Russian translation (Alexandre Prokoudine)
 - Updated Slovak translation (Pavol Klačanský)
 - Updated Slovenian translation (Matej Urbančič)
 - Updated Spanish translation (Daniel Mustieles)
 - Updated Telugu Translations (Krishnababu Krothapalli)
 - Updated Traditional Chinese translation(Hong Kong and Taiwan) (Cheng-Chia Tseng)
 - Updated Uyghur translation (Gheyret Kenji)

* New Features:
 - Get the ICC profile pre-cooked MD5 value if it is available (Richard Hughes)
 - Show the profile problems in the viewer application (Richard Hughes)
 - Use the new sensor metadata to avoid duplicating data tables (Richard Hughes)

* Bugfix:
 - Add a missing metadata title to the profile viewer (Richard Hughes)
 - Add a 'Show details' button for already-installed profiles (Richard Hughes)
 - Better initial orientation for the Lab hull (Pascal de Bruijn)
 - Calculate the profile whitepoint using the profile transform (Richard Hughes)
 - Correct sheet/minutes counts in the calibration dailog (Pascal de Bruijn)
 - Default to normal calibration (Pascal de Bruijn)
 - Detect Ubuntu casper based livecd's as well (Pascal de Bruijn)
 - Do not use deprecated symbols from colord (Richard Hughes)
 - Don't use the deprecated INCLUDES in Makefile.am (Richard Hughes)
 - For dispread skip instrument recalibration for the ColorMunki (Pascal de Bruijn)
 - For the ColorMunki use high resolution measurement mode (Pascal de Bruijn)
 - Honour precision for dispcal (Pascal de Bruijn)
 - Large default window size, to prevent mid operation automatic resizing (Pascal de Bruijn)
 - Move gcm-calibrate to lower right of the screen (Pascal de Bruijn)
 - Remove gcm-dump-profile, it's no longer used (Richard Hughes)
 - Remove the device figures now we depend on a version of colord that installs them (Richard Hughes)
 - Remove the native calibration code (Richard Hughes)
 - Remove the obsolete docs (Richard Hughes)
 - Show temperature page for more devices (Pascal de Bruijn)
 - Use a 0.8 instead of 1.2 sized test window for Argyll (Pascal de Bruijn)
 - Use cd_client_find_profile_by_property_sync() where available (Richard Hughes)
 - Use the UTF-8 '…' rather than '...' in UI code (Richard Hughes)

Version 3.6.0
~~~~~~~~~~~~~
Released: 2012-09-25

* Translations
 - Add Finnish translation (Jiri Grönroos)
 - Implemented FUEL entries to Assamese translation (Nilamdyuti Goswami)
 - Updated Brazilian Portuguese translation (Enrico Nicoletto)
 - Updated British English translation (Bruce Cowan)
 - Updated Czech translation (Milan Knížek)
 - Updated Danish translation (Ask H. Larsen)
 - Updated French translation (Alexandre Franke)
 - Updated Greek help translation (Tom Tryfonidis)
 - Updated Gujarati translation (Sweta Kothari)
 - Updated Hebrew translation (Yaron Shahrabani)
 - Updated Indonesian translation (Andika Triwidada)
 - Updated Italian translation (Milo Casagrande)
 - Updated Korean translation (Seong-ho Cho, Shankar Prasad)
 - Updated Latvian translation (Rūdolfs Mazurs)
 - Updated Lithuanian translation (Aurimas Černius)
 - Updated Malayalam file (Ani Peter)
 - Updated Norwegian bokmål translation (Kjartan Maraas)
 - Updated Persian translation (Arash Mousavi)
 - Updated Polish translation (Piotr Drąg)
 - Updated Portuguese translation (António Lima)
 - Updated Punjabi Translation (A S Alam)
 - Updated Russian translation (Yuri Myasoedov)
 - Updated Spanish translation (Daniel Mustieles)
 - Updated Swedish translation (Daniel Nylander)
 - Updated Tamil translation (Dr.T.Vasudevan)
 - Updated Traditional Chinese translation (Cheng-Chia Tseng)
 - Updated Ukranian translation (Daniel Korostil)
 - Updated Vietnamese translation (Nguyễn Thái Ngọc Duy)

Version 3.5.90
~~~~~~~~~~~~~~
Released: 2012-08-24

* Translations
 - Added Assamese translation (Nilamdyuti Goswami)
 - Added Greek help translation (Tom Tryfonidis)
 - Added Hindi translation (chandankumar)
 - Added Marathi translation (Sandeep Sheshrao Shedmake)
 - Updated Chinese simplified translation (Cheng Lu)
 - Updated Galician translation (Fran Diéguez)
 - Updated German help translation (Tobias Endrigkeit)
 - Updated Gujarati Translations (Sweta Kothari)
 - Updated Hebrew translation (Yaron Shahrabani)
 - Updated Indonesian translation (Andika Triwidada)
 - Updated Japanese translation (Ryo Fujita)
 - Updated Norwegian bokmål translation (Kjartan Maraas)
 - Updated Polish translation (Piotr Drąg)
 - Updated Serbian translation (Мирослав Николић)
 - Updated Traditional Chinese translation (Chao-Hsiung Liao, Cheng-Chia Tseng)

* Bugfix:
 - Do not use deprecated clutter API (Richard Hughes)
 - Remove -Werror by default for development builds (Richard Hughes)
 - Use Yelp tools insted of gnome.doc-utils (Oliver Propst)

Version 3.5.3
~~~~~~~~~~~~~
Released: 2012-06-26

* Translations
 - Updated German translation (Christian Kirbach)
 - Updated Greek translation (Tom Tryfonidis)
 - Updated Hebrew translation (Yaron Shahrabani)
 - Updated Norwegian bokmål translation (Kjartan Maraas)
 - Updated Punjabi Translation (A S Alam)

* Bugfix:
 - Add some checks to prevent gcm-picker crashing (Richard Hughes)
 - Change display profiles to single gamma (Pascal de Bruijn)
 - Don't emit a two critical warnings when calibrating a printer (Richard Hughes)
 - Don't hardcode the AdobeRGB profile (Richard Hughes)
 - Ensure the print profile mode is set in the calibration dialog (Richard Hughes)
 - Fix up tooltip strings (Piotr Drąg)

Version 3.5.1
~~~~~~~~~~~~~
Released: 2012-05-14

* Translations
 - Added German doc translation (Mario Blättermann)
 - Added Persian translation (narcissus)
 - Updated French translation (Alexandre Franke)
 - Updated French translation (Bruno Brouard)
 - Updated Galician translations (Fran Diéguez)
 - Updated Greek translation (Kostas Papadimas)
 - Updated Hungarian translation (Gabor Kelemen)
 - Updated Slovenian translation (Matej Urbančič)
 - Updated Spanish translation (Daniel Mustieles)
 - Updated Spanish translation (Radina Matic)

* New Features:
 - Explain how to use the ICC profiles on other systems (Richard Hughes)
 - Set the 'remote-profile-hash' sensor option when calibration has completed (Richard Hughes)
 - When using a LiveCD, have a button the user can click on to show the icc profile (Richard Hughes)

* Bugfix:
 - Allow the user to select a CIE file when looking for chart values (Richard Hughes)
 - Don't ask the user to choose a CIE reference when one cannot exist (Richard Hughes)
 - Hide the target whitepoint selection screen if the sensor is a colorimeter (Richard Hughes)
 - Remove gcm-calibrate-helper as it's now unused (Richard Hughes)
 - Use CdSampleWindow from libcolord-gtk rather than our own copy (Richard Hughes)

Version 3.4.0
~~~~~~~~~~~~~
Released: 2012-03-26

* Translations
 - Updated Galician translations (Fran Diéguez)
 - Updated Latvian translation (Rudolfs Mazurs)
 - Updated Polish translation (Piotr Drąg)
 - Updated Russian translation (Alexandre Prokoudine)

* New Features:
 - Add an environment variable of ENABLE_COLORHUG=1 for ArgyllCMS V1.3.6 (Richard Hughes)

* Bugfix:
 - Optimize printer target patch count for ColorMunki & A4/Letter paper (Pascal de Bruijn)

Version 3.3.91
~~~~~~~~~~~~~
Released: 2012-03-14

* Translations
 - Updated Galician translations (Fran Diéguez)
 - Updated Portuguese translation (António Lima)
 - Updated Slovenian translation (Matej Urbančič)
 - Updated Spanish translation (Daniel Mustieles)
 - Updated Swedish translation (Daniel Nylander)
 - Updated Traditional Chinese translation (Cheng-Chia Tseng)

* New Features:
 - Compile the GtkBuilder files as a GResources to speed up startup (Richard Hughes)
 - Show the calibration progress bar level for new versions of Argyllcms (Richard Hughes)

* Bugfix:
 - Allow the calibration to ask more than one interaction question (Richard Hughes)
 - Correctly restore the calibration status panel after asking the user a question (Richard Hughes)
 - Detect an sample misread from argyllcms and try to recover (Richard Hughes)
 - Do not show a critical warning if we re-try a failed calibration (Richard Hughes)
 - Don't assume dispcal is /usr/bin/dispcal (Alexandre Rostovtsev)
 - Ensure the user can quit if the calibration fails (Richard Hughes)
 - Ensure the VTE is flushed when the spawned program exits (Richard Hughes)
 - Fix a critial warning when setting the brightness (Richard Hughes)
 - Replace use of deprecated clutter api (Javier Jardón)

Version 3.3.5
~~~~~~~~~~~~~
Released: 2012-02-06

* Translations
 - Updated Japanese translation (Jiro Matsuzawa)
 - Updated Slovenian translation (Matej Urbančič)
 - Updated Spanish translation (Daniel Mustieles)
 - Updated Spanish translation (Nicolás Satragno)
 - Updated Traditional Chinese translation(Hong Kong and Taiwan) (Cheng-Chia Tseng)

* New Features:
 - Add ACCURACY_x to the list of translated metadata keys (Richard Hughes)
 - Add CONNECTION_type to the list of translated metadata keys (Richard Hughes)
 - Add SCREEN_surface to the list of translated metadata keys (Richard Hughes)
 - Add support for MAPPING_device_id (Richard Hughes)
 - Include the sensor type in the profile metadata (Richard Hughes)
 - Save the internal panel brightness in the ICC profile (Richard Hughes)

* Bugfix:
 - Correctly spawn profiles with spaces in the filename when using gcm-import (Richard Hughes)
 - Do not show blank metadata in the profile viewer (Richard Hughes)
 - Do not use deprecated clutter API (Richard Hughes)
 - Ensure the sensor is unlocked after failing to get a sample in gcm-picker (Richard Hughes)
 - Limit display profiles to Single shaper matrix, to keep greyscale neutral (Pascal de Bruijn)
 - Make the profile metadata accept regular expressions and add the OSD_x keys (Richard Hughes)
 - Remove the final vestiges of gcm-session (Richard Hughes)
 - Set the reference kind when calibrating a camera device (Richard Hughes)
 - Show the profile title as the gcm-viewer window title (Richard Hughes)
 - Smaller/faster display calibration target sets (Pascal de Bruijn)

Version 3.3.3
~~~~~~~~~~~~~
Released: 2011-12-19

* Translations
 - Add Esperanto translation (Kristjan SCHMIDT)
 - Add Latvian translation (Rudolfs Mazurs)
 - Updated Czech translation (Milan Knížek)
 - Updated German translation (Mario Blättermann, Wolfgang Stöggl)
 - Updated Japanese translation (Ryo Fujita)
 - Updated Korean translation (Seong-ho, Cho)
 - Updated Lithuanian translation (Aurimas Černius)
 - Updated Norwegian bokmål translation (Kjartan Maraas)
 - Updated Slovenian translation (Matej Urbančič)
 - Updated Spanish translation (Daniel Mustieles, Jorge González)
 - Updated Swedish translation (Daniel Nylander)

* New Features:
 - Add a calibrate attach image for the 'i1 Display 3' sensor device (Richard Hughes)
 - Add an ICC profile metadata blacklist (Richard Hughes)
 - Add a ColorHug attach image and customised calibration message (Richard Hughes)
 - Get the primaries when calibrating the screen (Richard Hughes)
 - Prefix some profile titles with 'Colorspace' or 'Test Profile' (Richard Hughes)
 - Show a progress bar on the calibration action page (Richard Hughes)
 - Split out the display characterization and add a helper program to test it (Richard Hughes)

* Bugfix:
 - Add accessible descriptions to the next/prev buttons in gcm-viewer (Richard Hughes)
 - Add the the mnemonic-widget property to labels in the profile viewer (Richard Hughes)
 - Before converting a .ti1 file into a .ti3 file load the display calibration (Richard Hughes)
 - Connect to GSD to change the brightness, not GPM (Richard Hughes)
 - Do not send 'space' when argyllcms asks the user to press any key (Richard Hughes)
 - Do not use g_application_release() manually (Richard Hughes)
 - Don't use the deprecated g_format_size_for_display (Richard Hughes)
 - Don't use the deprecated pango_cairo_font_map_create_context (Richard Hughes)
 - Ensure we always set a calibration image if one exists (Richard Hughes)
 - Fix compile with newer versions of clutter (Richard Hughes)
 - Force the CIE 1931 diagram to be square (Richard Hughes)
 - Initialize error pointer for gdk_pixbuf_new_from_file_at_size (Michael Hamann)
 - Move the brightness and inhibit functionality to the calibration module (Richard Hughes)
 - Normalize the ti3 calibration values (Richard Hughes)
 - Ship some pregenerated ti1 files (Richard Hughes)
 - Show an error if we can't open the file passed to gcm-viewer --file (Richard Hughes)
 - Show an interaction dialog for native samples (Richard Hughes)
 - Sort the standard and test profiles lower in the profile viewer (Richard Hughes)
 - Speed up the profile viewer loading when scanning a large number of profiles (Richard Hughes)
 - Update colorimeter artwork (Lapo Calamandrei, Jakub Steiner)

Version 3.2.0
~~~~~~~~~~~~~
Released: 2011-09-26

* Translations
 - Updated Czech translation (Milan Knížek)
 - Updated Norwegian bokmål translation (Kjartan Maraas)
 - Updated Polish translation (Piotr Drąg)
 - Updated Russian translation (Alexandre Prokoudine)
 - Updated Slovenian translation (Martin Srebotnjak)
 - Updated Spanish translation (Daniel Mustieles)
 - Updated Traditional Chinese translation(Hong Kong and Taiwan) (Chao-Hsiung Liao)

* Bugfix:
 - Fix some user visible messages not showing up in PO files (Alexandre Prokoudine)

Version 3.1.92
~~~~~~~~~~~~~~
Released: 2011-09-19

* Translations
 - Updated Polish translation (Piotr Drąg)
 - Updated Swedish translation (Daniel Nylander)

* Bugfix:
 - Ensure the calibration dialog can be set modal (Richard Hughes)
 - Escape profile titles that have markup in the titles (Richard Hughes)
 - Ignore inaccessable profiles from other user accounts (Richard Hughes)
 - Remove the GLSL demo file, it's moved to colord-playground (Richard Hughes)
 - Update the man pages to reflect reality (Richard Hughes)

Version 3.1.91
~~~~~~~~~~~~~~
Released: 2011-09-05

* Bugfix:
 - Set the calibration wizard to the summary page when finished (Richard Hughes)
 - Ensure the 2nd stage calibration has the larger calibration square (Richard Hughes)

Version 3.1.90
~~~~~~~~~~~~~~
Released: 2011-08-30

* Translations
 - Added Basque language (Inaki Larranaga Murgoitio)
 - Updated Russian translation (Alexandre Prokoudine)
 - Updated Serbian translation (Мирослав Николић)
 - Update Simplified Chinese (zh_CN) translation (Yinghua Wang)

* New Features:
 - Add a --file argument to gcm-viewer to show files (Richard Hughes)
 - Allow the profile title to be changed in gcm-calibrate (Richard Hughes)
 - Ask the user for the target whitepoint when creating a profile (Richard Hughes)
 - Make importing color profiles sexy (Richard Hughes)
 - Move the help files to gnome-user-docs (Richard Hughes)
 - Remove gcm-session, it's not required anymore (Richard Hughes)
 - Use cd_client_import_profile_sync() when generating profiles (Richard Hughes)

* Bugfix:
 - Allow writing dictionary items of longer then 512 bytes (Richard Hughes)
 - Correctly use plural forms in the calibration wizard. Fixes #654247 (Richard Hughes)
 - Do not build with G_DISABLE_DEPRECATED for our future sanity (Richard Hughes)
 - Fix a crash in gcm-picker when a color sensor is plugged in (Richard Hughes)
 - Fix a critical warning in gcm-picker when CUPS printers are installed (Richard Hughes)
 - Fix linking with -Wl,--as-needed (Dominique Leuenberger)
 - Fix the profile list sorting when the user has virtual profiles from CUPS (Richard Hughes)
 - Make the clutter and mash dependency non-automagic (Alexandre Rostovtsev)
 - Remove the GetProfilesForDevice() DBus method call (Richard Hughes)

Version 3.1.2
~~~~~~~~~~~~~
Released: 2011-06-13

* Notes:
 - The preferences panel has been moved to gnome-control-center.
 - The device and profile registration module has been moved to
   gnome-settings-daemon and the gcm-session process is now optional.

* Translations
 - Updated Czech translation (Milan Knizek)
 - Updated Brazilian Portuguese translation (Djavan Fagundes)
 - Updated German help translation (Christian Kirbach)
 - Updated Norwegian bokmål translation (Kjartan Maraas)

* New Features:
 - Save extra metadata in the ICC profile after calibration (Richard Hughes)
 - Translate the metadata key names in the profile viewer (Richard Hughes)

* Removed features
 - Remove all the rendering intent and default properties (Richard Hughes)
 - Remove support for non-native drivers in the color picker (Richard Hughes)
 - Remove the device registration functionality (Richard Hughes)
 - Remove the GSettings schema (Richard Hughes)
 - Remove the notification for out of date devices (Richard Hughes)
 - Remove the preferences panel and create a calibration wizard (Richard Hughes)
 - Remove the profile store functionality (Richard Hughes)
 - Remove the sensor plug action and sound (Richard Hughes)
 - Remove the vendor and model quirk fixups (Richard Hughes)
 - Remove the 'Working Spaces' tab from gcm-prefs (Richard Hughes)
 - Remove the X11 xrandr-output output property (Richard Hughes)

* Bugfix:
 - Do not reload when colord appears on the bus (Richard Hughes)
 - Don't crash when we click on a PPD virtual profile (Richard Hughes)
 - Don't show profiles without filenames in gcm-viewer (Richard Hughes)

Version 3.1.1
~~~~~~~~~~~~~
Released: 2011-05-06

* Notes:
 - This is the first unstable release for GNOME 3.1.
 - Lots of code has been moved from gnome-color-manager into colord, and
   this means that colord is now a dependency of gnome-color-manager.
 - There are also a few new features. Try out the new code and see what
   looks shiny! If it breaks, let us know!
 - See http://colord.hughsie.com/screenshots.html for screenshots.

* Translations
 - Updated Brazilian Portuguese translation (Flamarion Jorge)
 - Updated British English translation (Bruce Cowan)
 - Updated German translation (Wolfgang Stöggl)
 - Updated Greek translation (Michael Kotsarinis)
 - Updated Hungarian translation (Gabor Kelemen)
 - Updated Italian translation (Francesco Groccia)
 - Updated Japanese translation (Ryo Fujita)
 - Updated Korean translation (sangu)
 - Updated Norwegian bokmål translation (Kjartan Maraas)
 - Updated Polish translation (Piotr Drąg)
 - Updated Portuguese translation (Duarte Loreto)
 - Updated Simplified Chinese translaton (Xianyou Jin)

* New Features:
 - Add a 3D gamut hull to the profile viewer (Richard Hughes)
 - Add a metadata tab to gcm-viewer to display all the color geek information (Richard Hughes)
 - Add media whitepoint and color temperature data to gcm-picker (Richard Hughes)
 - Add named color profile support to gcm-viewer (Richard Hughes)
 - Add the profile version number to the information viewer tab (Richard Hughes)

* Removed Features:
 - Remove all support for device-profiles.conf (Richard Hughes)
 - Remove all the sensor code as it's been moved to colord (Richard Hughes)
 - Remove CUPS support, it's using colord now (Richard Hughes)
 - Remove gcm-apply and merge the functionality into gcm-session (Richard Hughes)
 - Remove GcmDevice as this is no longer needed with colord (Richard Hughes)
 - Remove gcm-dump-edid, there are other tools available to do this (Richard Hughes)
 - Remove libcolor-glib and the gsd plugin as we now have a session process (Richard Hughes)
 - Remove SANE support, it's moved to colord (Richard Hughes)
 - Remove support for saved devices in GcmClient (Richard Hughes)
 - Remove the ability to set a profile systemwide, we can do this in colord (Richard Hughes)
 - Remove the DDC support from gnome-color-manager, it belongs in a lower library (Richard Hughes)
 - Remove the GetDevices DBus method, clients are expected to use colord instead (Richard Hughes)
 - Remove the GetProfilesForType DBus method, clients are expected to use colord (Richard Hughes)
 - Remove the rendering intent page from the preferences (Richard Hughes)
 - Remove the window title from the modal calibration dialogs (Richard Hughes)
 - Remove the xsane.rc functionality, xsane is too broken (Richard Hughes)
 - Remove UDev support, it's being done in colord now (Richard Hughes)
 - Remove virtual profile devices, they are now saved in colord (Richard Hughes)

* Bugfix:
 - Add a desktop icon for gcm-picker to help out gnome-shell (Richard Hughes)
 - Add and remove session profiles as they appear in the home directory (Richard Hughes)
 - Add and remove X11 outputs to colord as they are hotplugged (Richard Hughes)
 - Add any display profiles as known colorspaces in gcm-picker (Richard Hughes)
 - Add #include <config.h> to make translations work (Kjartan Maraas)
 - Add the optional FILE_checksum metadata to speed up session startup (Richard Hughes)
 - Do not allow the user to remove automatically-added profiles from devices (Richard Hughes)
 - Do not let gcm-session exit, instead stay around for the duration of the session (Richard Hughes)
 - Get the pre-cooked profile ID from the ICC profile if it is available (Richard Hughes)
 - Make the argyllcms calibration square 20% larger. Fixes rh#689787 (Richard Hughes)
 - Make the 'Set for all users' button device specific (Richard Hughes)
 - Only search for per-user ICC profiles, colord does the system ones now (Richard Hughes)
 - Repair invalid UTF8 / ASCII in named color profile name entries (Richard Hughes)
 - Rework gcm-viewer into tabs to make the UI more streamlined (Richard Hughes)
 - Set the XRANDR_name metadata attribute on all X11 devices (Richard Hughes)
 - Use cmsOpenProfileFromFile() and hope for profiles with embedded IDs (Richard Hughes)
 - Use /org/gnome as starting path for schemas (Richard Hughes)
 - Use ProfilingInhibit when calibrating devices (Richard Hughes)
 - Watch org.freedesktop.ColorManager so we can re-apply policy (Richard Hughes)
 - When creating display devices, use both the EDID and DMI data (Richard Hughes)
 - When creating ICC profiles for a display, use relative-colorimetric (Richard Hughes)
 - Write a profile ID for automatically generated profiles (Richard Hughes)

Version 2.91.90
~~~~~~~~~~~~~~~
Released: 2011-02-22

* Translations
 - Updated French Translation (Bruno Brouard)
 - Updated Greek translation (Michael Kotsarinis)
 - Updated Norwegian bokmål translation (Kjartan Maraas)
 - Updated Slovenian translation (Matej Urbančič)
 - Updated Spanish translation (Jorge González)

* Bugfix:
 - Do not ask the user whether to strip the alpha channel during calibration (Richard Hughes)
 - Fix a critial warning when installing the shared-color-targets data (Richard Hughes)
 - huey: remove the dark current values before scaling for the calibration matrix (Richard Hughes)
 - huey: the CY7C63001 is paired with a 6.00Mhz crystal and it takes 6 clock cycles to process a 16bit inc with carry check (Richard Hughes)
 - huey: when reading SENSOR_MEASURE_RGB, READ_GREEN and READ_BLUE, the data value is 32 bits in size (Richard Hughes)
 - Use gcm-calculate-fudge to calculate a more accurate value of HUEY_XYZ_POST_MULTIPLY_SCALE_FACTOR (Richard Hughes)

Version 2.91.5
~~~~~~~~~~~~~~
Released: 2011-01-11

* Translations
 - Added UG translation (Gheyret T.Kenji)
 - Added Vietnamese translation (Nguyễn Thái Ngọc Duy)
 - Updated Estonian translation (Ivar Smolin)
 - Updated Italian translation (Francesco Groccia)
 - Updated Norwegian bokmål translation (Torstein Adolf Winterseth
 - Updated Punjabi translation (A S Alam)
 - Updated Slovenian translation (Andrej Žnidaršič)
 - Updated Swedish translation (Daniel Nylander)
 - Updated Traditional Chinese translation(Hong Kong and Taiwan) (Chao-Hsiung Liao)

* Bugfix:
 - Fix GTK3 API break; gdk_cursor_unref (Richard Hughes)
 - Fix GTK3 API break; gdk_window_foreign_new_for_display() no longer exists (Richard Hughes)
 - Fix GTK3 API break; gdk_x11_drawable_get_xid() no longer exists (Richard Hughes)
 - GUdev now requires us to set G_UDEV_API_IS_SUBJECT_TO_CHANGE to be able to build (Richard Hughes)

Version 2.91.3
~~~~~~~~~~~~~~
Released: 2010-12-01

* Translations
 - Added UG translation (Gheyret T.Kenji)
 - Updated Czech translation (Milan Knizek)
 - Updated Galician translations (Fran Diéguez)
 - Updated Norwegian bokmål translation (Kjartan Maraas)
 - Updated Romanian translation (Daniel Șerbănescu)
 - Updated Romanian translation (Lucian Adrian Grijincu)

* New Features:
 - Set 'ICC meta Tag for Monitor Profiles' data for future use (Richard Hughes)
* Bugfix:
 - Do not create auto-profiles for XRandR devices without EDID data (Richard Hughes)
 - Don't segfault if cmsCreateRGBProfile fails. Fixes rh#653419 (Richard Hughes)
 - Never show the 'Fine tuning' section in the control center, it invalidates the profiles (Richard Hughes)
 - Remove the display tab in the color panel (Richard Hughes)

Version 2.91.2
~~~~~~~~~~~~~~
Released: 2010-11-08

* Translations
 - Added Catalan (Valencian) translation (Carles Ferrando)
 - Added French doc translation (Bruno Brouard)
 - Added Korean translation (Homin Lee)
 - Added Slovenian translation (Matej Urbančič)
 - Updated Bulgarian translation (Alexander Shopov)
 - Updated Estonian translation (Mattias Põldaru)
 - Updated Galician translations (Fran Diéguez)
 - Updated German doc translation, bug #631978 (Mario Blättermann)
 - Updated German translation (Christian Kirbach)
 - Updated Hebrew translation (Yaron Shahrabani)
 - Updated Japanese translation (Takayuki KUSANO)
 - Updated Korean translation (Changwoo Ryu)
 - Updated Norwegian bokmål translation (Kjartan Maraas)
 - Updated Slovenian translation (Andrej Žnidaršič)
 - Updated Spanish translation (Jorge González)
 - Updated Swedish translation (Daniel Nylander)

* New Features:
 - Add defines and an attach image for the DTP94 colorimeter. Fixes #632052 (Richard Hughes)
 - Add functionality for a virtual profile to be generated from the EDID data (Richard Hughes)
 - Add gcm_profile_get_data() and gcm_profile_set_data() which can be used with the DICT tag (Richard Hughes)
 - Add gcm_profile_guess_and_add_vcgt() to emulate a VCGT from an ICC profile (Richard Hughes)
 - Add the color temperature into the profie viewer details (Richard Hughes)
 - At login automatically generate an ICC profile from the EDID and add it to each display device (Richard Hughes)
 - Show the color XYZ values in gcm-dump-profile (Richard Hughes)

* Bugfix:
 - Add and remove profiles from gcm-viewer as they are added and removed from the store (Richard Hughes)
 - Add the X-GNOME-Settings-Panel category so the control center panel is not in 'Other' (Richard Hughes)
 - Add whitepoint, rXYZ, and VCGT functionality to GcmCalibrateNative (Richard Hughes)
 - Apply some smoothing to the generated VCGT curves (Richard Hughes)
 - Do not keep adding the auto-EDID profile if the user explicitly removes it from the GUI (Richard Hughes)
 - Do not use a GtkInfoBox for the VCGT warning (Richard Hughes)
 - Do the request to PackageKit async, to avoid a 200ms lag in the GUI at startup (Richard Hughes)
 - Ensure we cancel the PackageKit DBus query if the panel is unloaded (Richard Hughes)
 - Ensure we write the colorspace back into the raw profile if we generated it (Richard Hughes)
 - Fix compile with gnome-settings-daemon from git master (Richard Hughes)
 - Fix typo in data/org.gnome.settings-daemon.plugins.color.gschema.xml (Vladimir)
 - If a profile is deleted, ensure it is removed from the control center panel listbox (Richard Hughes)
 - If the profile viewer was set modal over the preferences dialog, then don't show a link back to the control center (Richard Hughes)
 - Install a schema file to launch gcm-apply by default in new versions of gnome-settings-daemon (Richard Hughes)
 - Migrate away from EggDebug and use the builtin GLib logging framework (Richard Hughes)
 - Port to GtkComboBoxText (Richard Hughes)
 - Port to libnotify 0.7.0 (Richard Hughes)
 - Port to the new GtkApplication API (Richard Hughes)
 - Read the rXYZ, gXYZ and bXYZ tags to get the profile primaries before using a transform fallback (Richard Hughes)
 - Remove deprecated Encoding key from .desktop file (Javier Jardón)
 - Remove GcmXYZ and use proper boxed GTypes for the color structures (Richard Hughes)
 - Remove the device-specific labels on the first panel page (Richard Hughes)
 - Remove the loading GtkInfoBox as it just makes the UI resize at startup (Richard Hughes)
 - Reorganize the first pane to stack the devices above the profiles (Richard Hughes)
 - Set all the 'Since: ' version numbers to the correct versions (Richard Hughes)
 - Set COLOR_MEASUREMENT_DEVICE to get the correct ACL when argyllcms is not installed (Richard Hughes)
 - Split the control panel out into 4 tabs to reduce the vertical height (Richard Hughes)
 - Use gtk_box_new() instead gtk_[v|h]box_new() (Javier Jardón)
 - Use the correct icon in the profile viewer when using GNOME Shell (Richard Hughes)

Version 2.91.1
~~~~~~~~~~~~~~
Released: 2010-10-05

* Translations
 - Added Arabic translation (Khaled Hosny)
 - Added Catalan translation (Joan Duran)
 - Added Greek translation (Michael Kotsarinis)
 - Added Hungarian translation (Gabor Kelemen)
 - Added Japanese translation (Ryo Fujita, Takayuki KUSANO)
 - Added Malayalam translatio (students from MES Engineering College Kuttippuram)
 - Added Romanian translation (Lucian Adrian Grijincu)
 - Added Serbian translation (Милош Поповић)
 - Added Simplified Chinese help translation (Teliute)
 - Added Traditional Chinese translation(Hong Kong and Taiwan) (Chao-Hsiung Liao)
 - Updated British English translation (Bruce Cowan)
 - Updated Czech help translation (Milan Knizek)
 - Updated Czech translation (Milan Knizek)
 - Updated Danish translation (Ask H. Larsen, Kenneth Nielsen)
 - Updated Estonian translation (Mattias Põldaru)
 - Updated French translation (Claude Paroz)
 - Updated Galician translations (Fran Diéguez)
 - Updated German translation (Christian Kirbach, Mario Blättermann)
 - Updated Greek translation (Bakaoukas Nikolaos)
 - Updated Hebrew translation (Yaron Shahrabani)
 - Updated Indonesian translation (Dirgita)
 - Updated Italian translation (Francesco Groccia)
 - Updated Lithuanian translation (Žygimantas Beručka, Aurimas Černius)
 - Updated Norwegian bokmål translation (Kjartan Maraas)
 - Updated Polish translation (Piotr Drąg)
 - Updated Portuguese translation (António Lima)
 - Updated Russian help translation (Alexandre Prokoudine)
 - Updated Russian translation (Alexandre Prokoudine)
 - Updated Slovenian translation (Andrej Žnidaršič, Matej Urbančič)
 - Updated Simplified Chinese translation (Aron Xu, Jessica Ban, Yinghua Wang)
 - Updated Spanish translation (Jorge González)
 - Updated Swedish translation (Daniel Nylander)
 - Updated Tamil translation (Dr.Tirumurti Vasudevan)

* New Features:
 - Raise the GTK build dep to 2.91.0 (Richard Hughes)
 - Add a gnome-settings-daemon module to fix some hard to fix bugs (Richard Hughes)
 - Add a QPcard 202 reference image (Pascal de Bruijn)
 - Add two more example images to the viewer (Fanch The System)
 - Add another example image to the viewer (Claes H)
 - Add a reverse-engineered driver to talk to the HUEY colorimeter (Richard Hughes)
 - Add the start of a reverse engineerered ColorMunki driver (Richard Hughes)
 - Add a simple command gcm-ddc-util to be able to send custom DDC packets to a monitor in userspace (Richard Hughes)
 - Add a simple parser that can parse the output of the Beagle USB capture device (Richard Hughes)
 - Add a status property to GcmSensor to help GUI applications (Richard Hughes)
 - Add a udev prober that makes DDC/CI i2c devices available for the user to use (Richard Hughes)
 - Add GcmCalibrateNative so we can do a calibration without argyllcms (Richard Hughes)
 - Add gcm-dump-to-values to discover new values in the register space (Richard Hughes)
 - Add GcmSampleWindow so we can measure known colors in gcm-picker (Richard Hughes)
 - Add GcmUsb, a simple object to integrate libusb-1 with the GLib event loop
 - Add some GLSL demo code that uses a 3D texture (Richard Hughes)
 - Add support for 100% gray colorspaces (Richard Hughes)
 - Allow the user to flick between different images in the profile viewer (Richard Hughes)
 - Drop GcmXserver, GcmScreen and libgnomedesktop3 and make the X11 code faster and cleaner (Richard Hughes)
 - Make gcm-parse-huey be able to parse argyll -D9 traces (Richard Hughes)
 - Make gcm-picker work with native sensor devices too (Richard Hughes)
 - Split off a library, libcolor-glib for internal use (Richard Hughes)

* Bugfix:
 - Add gcm-compat.h to deal with unreleases versions of libusb (Richard Hughes)
 - Allow the end user to disable -WError (Andy Lutomirski)
 - Do not crash if gcm_libusb_pollfd_remove_all() is called without assigning a device (Richard Hughes)
 - Do not install the low-level unitilies, and move them to 'tools' (Richard Hughes)
 - Do not try to apply devices that are not connected (Richard Hughes)
 - Ensure clicking 'Reset' actually resets the device and saves settings (Richard Hughes)
 - Ensure EDID strings are printable, and ignore totally junk strings (Richard Hughes)
 - Ensure we can compile with vte3 (Richard Hughes)
 - Fix a crash in gcm-picker if we compiled without VTE support (Richard Hughes)
 - Fix .desktop file (Javier Jardón)
 - Fix GTK3 compile (Richard Hughes)
 - Fix up a translator comment. Fixes #625504 (Richard Hughes)
 - Get rid of the 'Color Profiles' section header to reduce panel clutter (Richard Hughes)
 - Include the time in the calibration basename as we can calibrate more than once per day (Richard Hughes)
 - Only disable deprecated code for --enable-strict builds (Richard Hughes)
 - Rename the softproof intent to 'Print Preview' (Richard Hughes)
 - Show the correct copyright notice when a profile has used markup in the description (Richard Hughes)

Version 2.31.4
~~~~~~~~~~~~~~
Released: 2010-07-01

* Translations
 - Updated Galician translations (Fran Diéguez)
 - Updated Spanish translation (Jorge González)
 - Updated Estonian translation (Mattias Põldaru)
 - Updated Hebrew translation (Yaron Shahrabani)
 - Updated Simplified Chinese translation (甘露 Gan Lu)

* New Features:
 - Port from lcms to lcms2 (Richard Hughes)
 - Split gcm-prefs into a control center module and a profile viewer (Richard Hughes)
 - Add gcm_image_set_abstract_profile() so we can set LAB abstract profiles (Richard Hughes)
 - Add GcmProfileSearchFlags so we can control what kind of profiles are loaded (Richard Hughes)
 - Allow passing profile and device types to GetProfilesForType() (Richard Hughes)

* Bugfix:
 - Do not try to convert if the input and output profiles are not RGB (Richard Hughes)
 - Refuse to import a local profile if it already exists system-wide (Richard Hughes)
 - Make GcmImage take a GcmProfile, not a base64 string (Richard Hughes)
 - Depend on gnome-control-center 2.31.4 for GTK 3.0 fixes (Richard Hughes)
 - Ensure we load the profile store in the DBus service (Richard Hughes)

Version 2.31.3
~~~~~~~~~~~~~~
Released: 2010-06-21

* Translations
 - Added Galician translations (Fran Diéguez)
 - Added Hebrew translation (Yaron Shahrabani)
 - Added Norwegian bokmål translation (Kjartan Maraas)
 - Updated Indonesian translation (Andika Triwidada)
 - Updated Italian translation (Francesco Groccia)
 - Updated Norwegian bokmål translation (Kjartan Maraas)
 - Updated Punjabi Translation (A S Alam)
 - Updated Spanish translation (Jorge González)
 - Updated Galician translations (Fran Diéguez)
 - Updated Hebrew translation (Yaron Shahrabani)

* New Features:
 - Require GTK3 as per the GNOME release team announcement (Richard Hughes)
 - Port to GtkApplication (Richard Hughes)
 - Port to GDBus (Richard Hughes)
 - Use the GSetting enum functionality (Richard Hughes)
 - Make libnotify optional dependency as it relies on gtk-2.0 (Richard Hughes)
 - Make VTE optional as it relies on gtk-2.0 (Richard Hughes)
 - Require libcanberra-gtk3 (Richard Hughes)
 - Require gnome-desktop3 (Richard Hughes)

* Bugfix:
 - Disconnect the VTE callbacks when ending the calibration to prevent a nasty crash (Richard Hughes)
 - Only emit ::added signals from the main thread, not the coldplug threads (Richard Hughes)
 - Redo the graph UI in the profiles page to be more HIG friendly (Richard Hughes)
 - Save the EDID MD5 hash to device-profiles.conf for xrandr devices (Richard Hughes)
 - Set the calibrate button insensitive if VTE is unavailable (Richard Hughes)
 - Use the same term 'calibration target' thoughout the UI (Richard Hughes)

Version 2.31.2
~~~~~~~~~~~~~~
Released: 2010-06-02

* Notes
 - You'll need Glib 2.25.1 and VTE 0.25.1 to compile now.
 - Lots of the new functionality is checked for at build time. Ensure you have
   development packages for cups, sane-backends, libtiff, libexif and exiv2 for
   full functionality.

* Translations
 - Updated Czech translation (Milan Knizek)
 - Updated Danish translation (Ask H. Larsen)
 - Updated Estonian translation (Mattias Põldaru)
 - Updated French translation (Claude Paroz)
 - Updated German doc translation (Mario Blättermann)
 - Updated German translation (Christian Kirbach)
 - Updated German translation (Mario Blättermann)
 - Updated Norwegian bokmål translation (Kjartan Maraas)
 - Updated Slovenian translation (Andrej Žnidaršič)
 - Updated Spanish translation (Jorge González)

* New Features:
 - Port to GDBus (Richard Hughes)
 - Port to GSettings (Richard Hughes)
 - Port to GTest (Richard Hughes)
 - Add UI elements to assign multiple profiles for each device (Richard Hughes)
 - Add GetProfilesForFile() DBus method to get suitable ICC profiles for a given file (Richard Hughes)
 - Add a GConf to GSettings migration script (Richard Hughes)
 - Add optional exif2 support so we can get properties of RAW files (Richard Hughes)
 - Allow the user to just drag an image file onto the window to create a virtual profile (Richard Hughes)
 - Allow the user to double click a profile to make it default (Richard Hughes)

* Bugfix:
 - Add a message in the help file explaining the drop file action (Richard Hughes)
 - Add gcm_profile_get_can_delete() and get the permissions from GIO rather than hardcoding a hack (Richard Hughes)
 - Add gcm_profile_get_checksum() so we can use this as a key to detect duplicates (Richard Hughes)
 - Add some information labels to the defaults pane (Richard Hughes)
 - Add two new settings objects 'enable-sane' and 'enable-cups' for in-field debugging (Richard Hughes)
 - Allow adding saved devices when coldplugging (Richard Hughes)
 - Allow RAW files to be dragged onto the UI with spaces in the name (Richard Hughes)
 - Allow virtual devices to have a serial number (Richard Hughes)
 - At login do not attempt to remove previously set X atoms, which speeds up gcm-apply by 750ms (Richard Hughes)
 - Ignore duplicate profiles by the MD5 checksum (Richard Hughes)
 - Include the serial number in the virtual device ID (Richard Hughes)
 - Include the trailing colon in translated strings. Fixes #619967 (Richard Hughes)
 - Migrate the old device-profiles.conf to the new location so the user does not have to do it manually (Richard Hughes)
 - Only connect to SANE and CUPS when the device lists are needed (Richard Hughes)
 - Do not bother the user with calibration notifications by default (Richard Hughes)
 - Put a short intent description in the combobox choices (Richard Hughes)
 - Support version 0.2 of the OpenIccDirectoryProposal (Richard Hughes)
 - Use the new ARGYLL_NOT_INTERACTIVE environment variable (Richard Hughes)
 - Use the newer VTE API (Richard Hughes)

Version 2.31.1
~~~~~~~~~~~~~~
Released: 2010-05-06

* Translations
 - Added Japanese translation (Ryo Fujita)
 - Added Punjabi Translation (A S Alam)
 - Added Ukrainian translation (Maxim V. Dziumanenko)
 - Updated British English translation (Bruce Cowan)
 - Updated German translation (Mario Blättermann)
 - Updated Italian translation (Francesco Groccia)
 - Updated Lithuanian translation (Aurimas Černius)
 - Updated Norwegian bokmål translation (Kjartan Maraas)
 - Updated Polish translation (Piotr Drąg)
 - Updated Portuguese translation (António Lima)
 - Updated Slovenian translation (Andrej Žnidaršič)
 - Updated Spanish translation (Jorge González)

* New Features:
 - Use a new application icon (Hylke Bons)
 - Add an experimental gcm-picker program to read spot colors (Richard Hughes)
 - Show much more detail in the color picker UI and allow the user to choose a RGB colorspace (Richard Hughes)
 - Show the EISA ID in the devices tab. Fixes rh#581837 (Richard Hughes)

* Bugfix:
 - Clean up the temporary file created by cupsGetPPD2(). Fixes rh#582202 (Tim Waugh)
 - Do not connect to sane in gcm-apply, we only need XRandR devices. Fixes rh#585723 (Richard Hughes)
 - Do not explode when viewing the details of a CMYK profile (Richard Hughes)
 - Do not rely on an argyllcms specially patched to fix the arg[0] problem (Richard Hughes)
 - Don't prompt the user to calibrate the device again if we are re-using the GcmCalibrate instance (Richard Hughes)
 - Fix up the argyll install dialog. Fixes #616106 (Richard Hughes)
 - Fix up the profile precision dialog. Fixes #583398 (Richard Hughes)
 - Make gcm-fix-profile open the profile from memory, as then we can catch common access permission errors (Richard Hughes)
 - Make SANE support configurable at compile time. Fixes #616826 (Richard Hughes)
 - Offer to install shared-color-profiles-extra if it is not yet installed (Richard Hughes)

Version 2.30.0
~~~~~~~~~~~~~~
Released: 2010-03-29

* Translations
 - Add Simplified Chinese translation (Eleanor Chen)
 - Update Czech translation (Milan Knížek)
 - Updated German doc translation (Mario Blättermann)
 - Updated German translation (Christian Kirbach)
 - Updated German translation (Mario Blättermann)
 - Updated Lithuanian translation (Gintautas Miliauskas)
 - Updated Norwegian bokmål translation (Kjartan Maraas)
 - Updated Polish translation (Piotr Drąg)
 - Updated Portuguese translation (António Lima)
 - Updated Russian translation (Alexandre Prokoudine)
 - Updated Slovenian translation (Andrej Žnidaršič)
 - Updated Spanish translation (Jorge González)

* New Features:
 - Add a 'created' and 'modified' key to each device in the config file (Richard Hughes)
 - Add a DBus method GetDevices() and relax the checks in GetProfilesForDevice() to also take a device ID (Richard Hughes)
 - Add an entry to the FAQ to explain the difference between calibration and characterization (Richard Hughes)
 - Add a notification when devices with profiles need recalibrating (Richard Hughes)
 - Add CMP DT 003 target image submitted by Guy Kloss (Pascal de Bruijn)
 - Add images of the Colorimtre HCFR (Richard Hughes)
 - Add images of the i1 Pro (Richard Hughes)
 - Add info regarding high precision for display profiling (Milan Knížek)
 - Allow the user to choose the calibration precision using an interactive dialog (Richard Hughes)
 - Convert the .tiff files to .jpeg if we are creating a print profile (Richard Hughes)
 - Do not rely on usb.ids, but instead encode the colorimeter type in the udev rules (Richard Hughes)
 - Emit ::changed on the public DBus interface when devices are added or removed (Richard Hughes)
 - For laptops, use the DMI data to contruct the calibration filename (Richard Hughes)
 - Make sure the profile comboboxes are alphabetically sorted (Richard Hughes)
 - Show each device setting when we use gcm-inspect --dump (Richard Hughes)
 - Use libsane to get our scanners, which means remote devices are now supported (Richard Hughes)
 - When devices are connected and disconnected, do not remove then add them, just change the state (Richard Hughes)

* Bugfix:
 - Check and correct TIFF image files with alpha channels before using them in argyllcms. Fixes rh#569564 (Richard Hughes)
 - Correct terminology in help file (Milan Knížek)
 - Correct use of calibrate/profile and replace device by instrument (Milan Knížek)
 - Do not crash attempting to add cups printers without PPD file (Martin Szulecki)
 - Do not crash the DBus service if a device does not have a profile set and it is included in a query (Richard Hughes)
 - Do not crash when GetProfileForWindow() succeeds in finding a window (Richard Hughes)
 - Do not use ACL_MANAGE, udev is already doing this for us (Richard Hughes)
 - Fix "cast increases required alignment of target type" [ia64] (Kamal Mostafa)
 - Fix up some translatable messages. Fixes #612111 (Richard Hughes)
 - Fix wrong word in data/gnome-color-manager.schemas.in. Fixes #612105 (Christian Kirbach)
 - If there are any lcms warnings in gcm-fix-profile, do not attempt to re-save the profile (Richard Hughes)
 - Make gcm-install-system-wide a little more paranoid from users that might want to be horrible (Richard Hughes)
 - Parse the EDID more carefully to not overwrite the model with junk for an invalid entry. Fixes #155410 (Richard Hughes)
 - Prevent a segfault if ppdOpenFile() fails for whatever reason (Richard Hughes)
 - Update profiling precision wording (Milan Knížek)
 - Use the model name for the SANE id, the 'name' attribute depends on the USB port used (Richard Hughes)
 - Warn if GConf is not set correctly when setting up the dialog (Richard Hughes)

Version 2.29.4
~~~~~~~~~~~~~~
Released: 2010-03-01

* Translations
 - Add Czech help translation (Milan Knizek)
 - Add Czech translation (Milan Knížek)
 - Update Czech translation (Marek Černocký)
 - Updated French translation (Claude Paroz)
 - Updated German doc translation (Mario Blättermann)
 - Updated German translation (Mario Blättermann)
 - Updated Lithuanian translation (Aurimas Černius)
 - Updated Norwegian bokmål translation (Kjartan Maraas)
 - Updated Russian translation (Alexandre Prokoudine)
 - Updated Slovenian translation (Andrej Žnidaršič)
 - Updated Spanish translation (Jorge González)
 - Updated Swedish translation (Daniel Nylander)

* New Features:
 - Add a thumbnail image of the ColorCheckerDC (Graeme Gill)
 - Add ColorCheckerSG thumbnail (Hening Betterman)
 - Add LaserSoftDCPro thumbnail (Jorg Rosenkranz)
 - Add printer profiling support using argyllcms and GtkPrint (Richard Hughes)
 - Add some device type icons (Frédéric Bellaiche, Sebastian Kraft)
 - Add support for sending calibration images to print shops (Richard Hughes)
 - Add four more target thumbnails (Pascal de Bruijn)
 - Allow UDEV and CUPS coldplug to be done multi-threaded (Richard Hughes)
 - Allow virtual devices to be added to the device list (Richard Hughes)
 - Automatically use the EXIF data if available from TIFF files when calibrating devices. Fixes #609444 (Richard Hughes)
 - Conform to ICC Profiles in X Specification 0.3 (Richard Hughes)
 - Detect printers by connecting to CUPS rather than scraping the HPLIP properties (Richard Hughes)
 - Enable half-height targets for the ColorMunki, and double the patch counts for this hardware (Richard Hughes)
 - Make users do the legwork when there is an unrecognised colorimeter (Richard Hughes)
 - Play sounds using libcanberra when user interaction is required (Richard Hughes)
 - Properly support projectors in the UI, and in the argyllcms wrapper (Richard Hughes)
 - Remove GCM_HARDWARE_DETECTION as we're now shipping our own udev rules (Richard Hughes)
 - Save the device colorspace in the config file so we can set profiles when not connected (Richard Hughes)
 - Set a tooltip explaining why the calibrate button is insensitive (Richard Hughes)
 - Set per-user xsane global and device settings when we have assigned a scanner profile (Richard Hughes)
 - Show a GtkInfoBar warning if the profile has no vcgt table. Fixes #610287 (Richard Hughes)
 - Support other types of reference file other than IT8 (Richard Hughes)
 - Three FAQ entries out of five suggested filled in (Alexandre Prokoudine)
 - Update Help Preferences Text (Paul Finnigan)

* Bugfix:
 - Add an 'All files' option on the file choosers. Fixes #610288 (Richard Hughes)
 - Add AC_PROG_RANLIB to configure. Fixes #610771 (Richard Hughes)
 - Add a list of colorimeters as we'll need this if argyllcms is not installed. Fixes rh#566414 (Richard Hughes)
 - Ask for the chart type first before we ask for calibration files (Pascal de Bruijn)
 - Capitalization fix for 'More Information' button (Michael Monreal)
 - Correct help Intro and Usage (Paul Finnigan)
 - Do low quality calibration when using targets with a low number of patches (Pascal de Bruijn)
 - Do not allow devices to be assigned profiles in different colorspaces from native (Richard Hughes)
 - Do not make the display calibration button sensitive (with tooltip) if we are using < XRandR 1.3 drivers. Fixes #610846 (Richard Hughes)
 - Do not show the display as 'default' even when using the binary blob (Richard Hughes)
 - Don't add Cups-PDF devices to the device list (Richard Hughes)
 - Ensure ~/.color/icc exists at startup. Fixes #566275 (Richard Hughes)
 - Ensure we set ID_MODEL_FROM_DATABASE and ID_VENDOR_FROM_DATABASE even if we're using old versions of argyllcms (Richard Hughes)
 - Fix segfault when the profile has no description (Richard Hughes)
 - Have scanin compensate for perspective distortion (Pascal de Bruijn)
 - HIG string and capitalization fixes (Michael Monreal)
 - Only require the device to be present if it is a display type (Richard Hughes)
 - Read the ti2 file for the calibration model if we are analysing existing targets (Richard Hughes)
 - Replace ColorCheckerSG with a newly processed one (Pascal de Bruijn)
 - Replace colprof -aS with -aG (Pascal de Bruijn)
 - Set the colorspace on unconnected devices to avoid getting no profiles in the list (Richard Hughes)
 - Show a label in the device section when the user is using a xrandr-fallback driver. Fixes rh#566606 (Richard Hughes)
 - Support colorimeter devices that need to change mode in the middle of the calibration (Richard Hughes)
 - Use GFile internally so we can support importing profiles from gvfs mount points. Fixes #610285 (Richard Hughes)

Version 2.29.3
~~~~~~~~~~~~~~
Released: 2010-02-01

* Translations
 - Added Italian translation (Francesco Groccia)
 - Updated Danish translation (Joe Hansen)
 - Updated French translation (Claude Paroz)
 - Updated German translation (Mario Blättermann)
 - Updated Norwegian bokmål translation (Kjartan Maraas)
 - Updated Portuguese translation (António Lima)
 - Updated Russian translation (Alexandre Prokoudine)
 - Updated Slovenian translation (Andrej Žnidaršič)
 - Updated Swedish translation (Daniel Nylander)

* New Features:
 - Enable the rendering intent and default colorspace UI elements (Richard Hughes)
 - Show whether the ICC profile has a VCGT tag in the UI (Richard Hughes)
 - Filter out non RGB and CMYK color space profiles from the combo-boxes using a heuristic (Richard Hughes)
 - Add a new DBus method GetProfileForWindow which can return a profile for a supplied XID (Richard Hughes)
 - Add some new text and tooltips to the prefs dialog (Richard Hughes)
 - Add per-user OSX ICC profiles at startup (Richard Hughes)
 - Add OSX and Windows ICC profiles if they exist from mounted volumes. Fixes #607390 (Richard Hughes)
 - Add a device profile entry of 'Other profile...' to be able to easily import a profile. Fixes #607389 (Richard Hughes)
 - Add a precision GConf variable to control the time a calibration takes. Fixes #605558 (Richard Hughes)
 - Screenscrape the Argyll output to better support other hardware devices. Fixes #605558 (Richard Hughes)
 - Do not show the 'Fine tuning' expander by default, and have configuration in GConf (Richard Hughes)

* Bugfix:
 - Zero out GErrors after freeing. Fixes crash (Christian Hergert)
 - Add gnome-desktop path as fallback for pci.ids (Frederic Crozat)
 - Do not generate an error if a display profile does not have CLUT data (Richard Hughes)
 - Add gcm-fix-profile to load and then re-save existing profiles using lcms (Richard Hughes)
 - Fix compile when using an ld that defaults to --as-needed (Richard Hughes)
 - Do not allow the colorspace combobox to be zero sized. Fixes #606484 (Richard Hughes)
 - Make gcm-prefs a normal dialog rather than a modal dialog (Richard Hughes)
 - Only scan ICC locations with hfs partition types for OSX and msdos/NTFS types for Windows (Richard Hughes)
 - Make gcm-prefs startup a few hundred ms quicker by not loading the list of screens (Richard Hughes)
 - Cache gnome_rr_screen_new and take 0.7 seconds off the start time (Richard Hughes)
 - Don't resize the window on startup. Fixes #607391 (Richard Hughes)
 - Update the Free Software Foundation address (Richard Hughes)

Version 2.29.2
~~~~~~~~~~~~~~
Released: 2010-01-04

* Translations
 - Added German help translation (Christian Kirbach)
 - Added Slovenian translation (Matej Urbančič)
 - Added Spanish translation (Jorge González)
 - Updated Brazilian Portuguese translation (Flamarion Jorge)
 - Updated British English translation (Bruce Cowan)
 - Updated Danish translation (Joe Hansen)
 - Updated French translation (Claude Paroz)
 - Updated German translation (Christian Kirbach)
 - Updated German translation (Mario Blättermann)
 - Updated Russian translation (Alexandre Prokoudine)
 - Updated Slovenian translation (Andrej Žnidaršič)

* New Features:
 - Add two elements in the UI, for RGB and CMYK working spaces (Richard Hughes)
 - Add a TRC curve to the profile display (Richard Hughes)
 - Add LCMS as a hard build-time dependency (Richard Hughes)
 - Add PackageKit integration so we can install shared-color-targets (Richard Hughes)
 - Offer to install ArgyllCMS if it is not installed, and the user wants to calibrate (Richard Hughes)
 - Add a simple GcmImage class that makes embedded color profiles 'just work' (Richard Hughes)
 - Import ICC profiles when dragged and dropped on the prefs capplet (Richard Hughes)
 - Linkify the copyright and manufacturer strings in the profile dialog (Richard Hughes)
 - Add a PolicyKit rule for the system-wide profiles install (Richard Hughes)
 - Load the system-wide default if it has been installed (Richard Hughes)

* Bugfix:
 - Fix the reference file import filter (Pascal de Bruijn)
 - Also evaluate /usr/local/bin when searching for Argyll tools. Fixes #605552 (Pascal de Bruijn)
 - Add an icon for a colorspace conversion profile (Richard Hughes)
 - Fix the help file installation so that yelp recognizes our help file (Richard Hughes)
 - Do not install the demo ICC files, and instead depend on the shared-color-profiles package (Richard Hughes)
 - Fix using profiles with VCGT formulas encoded in them (Richard Hughes)
 - If getting the illuminants failed, try running it through the profile (Richard Hughes)
 - Use strftime rather than our own hand-rolled function (Richard Hughes)
 - Show the TRC curves in the UI, rather than the vcgt curves (Richard Hughes)
 - Make gcm-dump-edid more useful by showing parsed data if available (Richard Hughes)
 - Use as much of the EDID as we can when generating device IDs. Fixes #605013 (Richard Hughes)
 - Add an experimental user-calibrate wizard, which the user can use when there is no calibration hardware available (Richard Hughes)
 - Use the hardware calibration device in the profile name. Fixes #605259 (Richard Hughes)
 - Sanitize the basename in GcmCalibrate when set. Fixes #605348 (Richard Hughes)
 - Use the ORIGINATOR tag in the it8 file to specify a device prefix for the device calibration. Fixes #605259 (Richard Hughes)
 - Move the device matching from a hard-coded list to a set of udev rules (Richard Hughes)
 - Properly detect broken dispcal output. Fixes #605838 (Richard Hughes)

Version 2.29.1
~~~~~~~~~~~~~~
Released: 2009-12-07

* Translations
 - Add Russian translation (Alexandre Prokoudine)
 - Add British English translation (Bruce Cowan)
 - Add Indonesian translation (Andika Triwidada)
 - Add French translation (Claude Paroz)
 - Add Swedish translation (Daniel Nylander)
 - Add Brazilian Portuguese translation (Flamarion Jorge)
 - Add Lithuanian translation (Gintautas Miliauskas)
 - Add German translation (Hendrik Brandt)
 - Add Danish translation (Joe Hansen)
 - Add Spanish translation (Jorge González)
 - Add Norwegian bokmål translation (Kjartan Maraas)
 - Add Thai translation (Phondanai Khanti)
 - Add Polish translation (Piotr Drąg)
 - Add Estonian translation (Priit Laes, Mattias Põldaru)
 - Add Tamil translation (vasudeven)
 - Add Russian user guide translation (Alexandre Prokoudine)
 - Add Indonesian user guide translation (Andika Triwidada)

* New Features:
 - Add gcm-import, a helper to allow double clicking on ICC profiles to import
   them (Richard Hughes)
 - Add gcm-prefs, a utility to assign profiles to devices, examine profiles, and
   set session-wide defaults (Richard Hughes)
 - Add gcm-session, a dbus-activated session daemon for applications to get the
   profiles for a device, or device class and to get session-wide defaults.
   It exits when no longer used to save resources. (Richard Hughes)
 - Add gcm-self-test, a self test framework that tests GCM functionality (Richard Hughes)
 - Add gcm-apply, a simple utility to just set (or reset) display profiles (Richard Hughes)
 - Add gcm-inspect, a debugging utility to inspect the profiles set in the
   session (Richard Hughes)
 - Add gcm-dump-edid, a utility to dump the EDID to disk for debugging (Richard Hughes)
 - Add gcm-dump-profile, a utility to dump the ICC profile to the screen (Richard Hughes)
 - Add some simple man pages and help document (Richard Hughes)
 - Add ArgyllCMS support to generate device profiles (Richard Hughes)
 - Add color calibration hardware auto-detection (Richard Hughes)
 - Add code to set the _ICC_PROFILE atom per-output and also per-screen (Richard Hughes)
 - Add some pre-calibration steps for external displays (Pascal de Bruijn)
 - Add hardware support for gphoto supported cameras (Richard Hughes)
 - Add hardware support for SANE suppoerted scanners (Richard Hughes)
 - Add hardware support for video4linux supported video devices (Richard Hughes)
 - Add hardware support for XRandR supported displays (Richard Hughes)
 - Add hardware support for hplip supported printers (Richard Hughes)
 - Add CIE widget to display visual data about different profiles (Richard Hughes)
 - Use the system DMI data to better itentify internal LCD panels (Richard Hughes)
 - Parse the EDID to get a better device description for displays (Richard Hughes)
 - Make the list orders predictable by setting a sort string (Richard Hughes)

* Bugfix:
 - Use XDG directory to store data (Baptiste Mille-Mathias)
 - Remove markup from GTKBuilder translatable strings (Claude Paroz)
 - Update bluish.icc title (Lars Tore Gustavsen, Pascal de Bruijn)
 - Enable adding xrandr devices with no EDID (Martin Szulecki)
 - Avoid reporting a (false) failure on first import (Stephane Delcroix)
 - Fix the message-received cb signature (Stephane Delcroix)
 - Fix up numerous small bugs prior to first release (Richard Hughes)
 - Look for the debian-named argyllcms binaries first (Richard Hughes)
 - Set the brightness to 100% on internal LCD panels before we generate a
   output profile (Richard Hughes)

